Page MenuHomePhabricator

Deploy common Wordmarks
Closed, ResolvedPublic1 Story Points

Description

Few wikis use the same custom wordmarks.

Just like English wordmark is used for 80+ languages there are bunch of other deployments we can do to wikis with same wordmark.

Example
French wordmark is used on 8 other wikis which can be deployed because french wordmark exists

Here's that list

The wordmark used on French wikipedia can also be used on following projects
wikipedia-wordmark-fr.svg
(fr, hu, pt, sk, pap, pcd, su, tet, jv)

  • Hungarian
  • Portuguese
  • Slovak
  • Papiamentu
  • Javanese (FYI desktop wordmark appears to be incorrect)
  • Picard
  • Sundanese
  • Tetum

The wordmark used on Russian wikipedia can also be used on following projects
wikipedia-wordmark-ru.svg
(ba, koi, krc, lbe, lez, ru, tyv, udm)

  • Avar
  • Bashkir
  • Karachay-Balkar
  • Komi
  • Lak
  • Tatar
  • Udmurt

The wordmark used on Hindi wikipedia can also be used on following projects
wikipedia-wordmark-hi.svg
(bh, gom, hi, mr, ne, sa, pi)

  • Bihari
  • Hindi
  • Marathi
  • Nepali
  • Pali
  • Sanskrit

(see T171181)

  • arz should use the ar logo
  • bpy should use the bn logo

With these 3 deployments we will increase coverage of correct wordmarks on 22 more wikis without adding any new wordmarks :)

Details

Related Gerrit Patches:

Event Timeline

Nirzar moved this task from Backlog to Localization on the Design (RW-Design-Debt) board.
Nirzar updated the task description. (Show Details)Jul 25 2017, 12:37 AM
MBinder_WMF set the point value for this task to 1.Jul 25 2017, 4:51 PM
Jdlrobson updated the task description. (Show Details)Jul 25 2017, 4:57 PM
Jdlrobson removed the point value for this task.
Jdlrobson updated the task description. (Show Details)Jul 25 2017, 5:04 PM
Jdlrobson updated the task description. (Show Details)Jul 25 2017, 5:07 PM
Jdlrobson set the point value for this task to 1.
Jdlrobson updated the task description. (Show Details)Jul 25 2017, 5:10 PM

Change 367938 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Update several Wikipedia projects to existing wordmarks

https://gerrit.wikimedia.org/r/367938

Jdlrobson added subscribers: hashar, demon, Jdlrobson.EditedJul 26 2017, 11:51 PM

Ran into a few issues with dblists while working on this. I'm hoping @hashar or @demon can shed some light on the problem I ran into (on the Gerrit patch).

hashar added a subscriber: Krinkle.

Per @Krinkle on the Gerrit patch:

https://github.com/wikimedia/operations-mediawiki-config/commit/fad0eea392cce2f47cce7c38492e21febc4e7834
TL;DR: Run ./docroot/noc/createTxtFileSymlinks.sh and commit the changes.

Change 367938 merged by jenkins-bot:
[operations/mediawiki-config@master] Update several Wikipedia projects to existing wordmarks

https://gerrit.wikimedia.org/r/367938

Mentioned in SAL (#wikimedia-operations) [2017-07-27T19:20:12Z] <catrope@tin> Synchronized dblists: T171556 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2017-07-27T19:21:00Z] <catrope@tin> Synchronized wmf-config: T171556 (duration: 00m 47s)

Nirzar closed this task as Resolved.Jul 27 2017, 11:40 PM
Nirzar claimed this task.

Compared with desktop logos.

Macro votecat: looks  good